//jQuery.noConflict();
var zObjects;
jQuery(document).ready(function(){
	jQuery.each(jQuery('.translateHelperWord'),function(i, val){
		zWordElem(val);
	});
	var html = jQuery('body').html();
	jQuery("#translateHelperInfo").draggable();
});

function zWordElem(val){
	obj = jQuery(val);
	parent = jQuery(val.parentNode);
	pos = parent.position();
	key = obj.attr('zkey');
	file = obj.attr('file');
	ext = obj.attr('ext');
	createFloatObj(key,file,ext,val);
	jQuery(val).replaceWith(obj.html());
}

function createFloatObj(key,file,ext,obj){
	if(obj){
		jQuery('<span class="translateHelperInfoElem"><img onclick="callEditWord(this.parentNode,\''+file+'\',\''+key+'\',\''+ext+'\');return false;" title="Edit" src="'+URL2Assets+'/images/comment_edit.png" /></span>').insertBefore(jQuery(obj));
	}
	else{
		var div = '<div><span class="translateHelperInfoElem"><img onclick="callEditWord(this.parentNode,\''+file+'\',\''+key+'\',\''+ext+'\');return false;" title="Edit" src="'+URL2Assets+'/images/comment_edit.png" /></span>'+key+'</div>';
		if(!document.getElementById('translateHelperInfo')) jQuery('body').prepend('<div id="translateHelperInfo">'+div+'</div>');
		else jQuery('#translateHelperInfo').append(div);
	}
}

function callEditWord(elem,file,key,ext){
	obj = jQuery(elem);
	tmp = obj.html();
	jQuery.ajax({
		url: JURIbase+'index.php?zTask=editWord&file='+escape(file)+'&key='+key+'&ext='+ext,
		success: function(data) {
			if(data=='!x!'){
				obj.html(tmp);
				alert('Text not found');
				return;
			}
			obj.html(data);
			jQuery(".translateHelperWordEdit").draggable();
		}
	});
}

function cancelEditWord(elem){
	//if(!confirm('Cancel edit?')) return false;
	if(elem.className!='translateHelperInfoElem'&&elem.id!='translateHelperInfo') elem = elem.parentNode;
	jQuery(elem).remove();
}

function saveZWord(elem){
	var box = jQuery(elem.parentNode);
	var form = box.children('form');
	var vars = form.serialize();
	if(!confirm('Save?')) return false;
	var obj = jQuery(elem);
	tmp = obj.context;
	obj.replaceWith('<img class="zSaveImg" src="'+URL2Assets+'/images/aload.gif" title="Loading..." />');
	jQuery.ajax({
		url: JURIbase+'index.php',
		data: vars,
		success: function(data) {
			if(data.substring(0,1)=='!'){
				box.children('.zSaveImg').replaceWith(tmp);
				alert(data.substring(1));
				return;
			}
			box.children('.zSaveImg').remove();
			form.html(data);
		}
	});
}


